<?php
function SendMailCommentAdd($target, $mother) {
	global $database, $owner, $service, $blog, $defaultURL, $configVal;
	requireComponent('Tattertools.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	if(is_null($data)){
		$data['comment'] = 1; 
		$data['guestbook'] = 1;
	}

	$filtered = 0;
	if (!doesHaveOwnership() && $data['spamfilter']==1) {
		requireComponent('Tattertools.Data.Filter');
		if (Filter::isFiltered('ip', $mother['ip'])) {
			$filtered = 1;
		} else if (Filter::isFiltered('name', $mother['name'])) {
			$filtered = 1;
		} else if (Filter::isFiltered('url', $mother['homepage'])) {
			$filtered = 1;
		} elseif (Filter::isFiltered('content', $mother['comment'])) {
			$filtered = 1;
		}
	}

	$commentID	= $target;
	$ip			= $mother['ip'];
	$name		= $mother['name'];
	$comment	= empty($mother['secret'])?$mother['comment']:"<b>## SECRET COMMENT ##</b><br>".$mother['comment'];
	$replier	= $mother['replier'];
	$entryID	= $mother['entry'];
	$homepage	= $mother['homepage'];

	if ($entryID){
		list($title, $slogan) = DBQuery::queryRow("SELECT title, slogan FROM {$database['prefix']}Entries WHERE owner = {$owner} AND id = {$entryID}");
		$title	= "<li>제　목 : <b>{$title}</b>";
	}
	if ($entryID){
		$permalink = ($blog['useSlogan'])?"{$defaultURL}/entry/{$slogan}":"{$defaultURL}/{$entryID}";
	}else{
		$permalink = "{$defaultURL}/guestbook/";
	}
	$blogName = DBQuery::queryCell("SELECT name FROM {$database['prefix']}BlogSettings WHERE owner = {$owner}");
	$subject	= "[BLOG알림:{$blogName}] - ".(($entryID)?"엔트리에":"방명록에")." 신규 댓글이 등록되었습니다.";
	$body  = "<div style=\"line-height:130%;font:9pt dotum;margin-bottom:100px\">\n";
	$body .= "{$title}<li>주　소 : <a href='{$permalink}#comment{$commentID}' target='_blank'>{$permalink}#comment{$commentID}</a>\n";
	$body .= "<li>등록일 : ".date("Y/m/d-H:i:s",time())."\n";
	if ($homepage == "http://" || $homepage == "") {
		$body .= "<li>작성자 : ".$name."\n";
	}else{
		$homepage = "http://{$homepage}";
		$homepage = str_replace("http://http://","http://",$homepage);
		$body .= "<li>작성자 : <a href='{$homepage}' target='_blank'>{$name}</a>\n";
	}
	$body .= "<li>글내용 : <br>\n";
	$body .= "<div style='line-height:130%;padding-left:65px;font:9pt dotum;'>{$comment}</div></div>\n";
	if (($replier != $owner) && ($filtered != 1)){
		if ($entryID){
			if($data['comment'])	getCommentsSendMail($body, $subject);
		}else{
			if($data['guestbook'])	getCommentsSendMail($body, $subject);
		}
	}
}

// 댓글 실시간 메일 보내는 함수##############################################################################
function getCommentsSendMail($comment, $subject) {
	global $database, $owner, $configVal;
	requireComponent('Tattertools.Function.misc');
	$data = misc::fetchConfigVal($configVal);
	list($owner_email, $owner_name) = DBQuery::queryRow("SELECT loginid, name FROM {$database['prefix']}Users WHERE userid = {$owner}");
	if (is_null($data)) {
		$data['adminmail'] = $owner_email;
	}
	$owner_email = ($data['adminmail'])?$data['adminmail']:$owner_email;
	$from_mail	= $owner_email;
	$from_name  = "알림이";
	$to_mail	= $owner_email;
	$to_name	= $owner_name;
	$recipient	= "{$to_name} <{$to_mail}>";
    $type		= 1; //[text:0, html:1]

	$comment	= ($type==1)?nl2br($comment):$comment;
	$comment	= stripslashes($comment);
	$comment	= str_replace("\r\n","\n", $comment);

	$headers	= "From: ".encodeMail_email($from_name)." <{$from_mail}>\n";
	$headers	.= "X-Mailer: ".TATTERTOOLS_NAME." ".TATTERTOOLS_VERSION."\n";
	$headers	.= "MIME-Version: 1.0\nContent-Type: text/html; charset=utf-8\n";

	return mail($recipient, encodeMail_email($subject), $comment, $headers);
}

function encodeMail_email($str) {
	return '=?utf-8?b?' . base64_encode($str) . '?=';
}

function CommentsAddSendMailDataSet($DATA){
	requireComponent('Tattertools.Function.misc');
	$cfg = misc::fetchConfigVal($DATA);
	if(!$cfg['spamfilter']) return "::선택 오류::\n\n'스팸 필터링' 항목을 선택하셔야 합니다.";
	return true;
}

?>